Std Vue trimétrique

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewTrimetric and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Page précédente : Vue dimétrique
Page suivante : Vue de face Std ViewFront.svg Arrow-right.svg

Std Vue trimétrique

Emplacement du menu
Affichage → Vues standards → Axonometric → Trimétrique
Ateliers
Tous
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Std Vue isométrique, Std Vue dimétrique


Description

La commande Std Vue trimétrique réaligne la caméra dans la vue 3D active pour obtenir une vue trimétrique. Pour une vue vraiment dimétrique, la vue 3D doit être en mode orthographique mais la commande fonctionne également si la vue est en mode perspective.

Std ViewTrimetric example.svg

L'Axes du repère et un cube en vue trimétrique


Utilisation

  1. Sélectionnez l'option Affichage → Vues standards → Axonometric → Trimétrique dans le menu.

Script

Voir aussi: FreeCAD Script de base.

Pour changer la vue en 'vue trimétrique', utilisez la méthode viewTrimetric de l'objet ActiveView. Cette méthode n'est pas disponible si FreeCAD est en mode console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewTrimetric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()
Arrow-left.svg Page précédente : Vue dimétrique
Page suivante : Vue de face Std ViewFront.svg Arrow-right.svg